Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface ListOperations<K,V>

    public interface ListOperations<K,V>

Redis list specific operations.

Method Summary
`RedisOperations<K,V>` | `getOperations()`
`V` | `index(K key, long index)`
`V` | `leftPop(K key)`
`V` | `leftPop(K key, long timeout, TimeUnit unit)`
`Long` | `leftPush(K key, V value)`
`Long` | `leftPush(K key, V pivot, V value)`
`Long` | `leftPushAll(K key, V... values)`
`Long` | `leftPushIfPresent(K key, V value)`
`List<V>` | `range(K key, long start, long end)`
`Long` | `remove(K key, long i, Object value)`
`V` | `rightPop(K key)`
`V` | `rightPop(K key, long timeout, TimeUnit unit)`
`V` | `rightPopAndLeftPush(K sourceKey, K destinationKey)`
`V` | `rightPopAndLeftPush(K sourceKey, K destinationKey, long timeout, TimeUnit unit)`
`Long` | `rightPush(K key, V value)`
`Long` | `rightPush(K key, V pivot, V value)`
`Long` | `rightPushAll(K key, V... values)`
`Long` | `rightPushIfPresent(K key, V value)`
`void` | `set(K key, long index, V value)`
`Long` | `size(K key)`
`void` | `trim(K key, long start, long end)`

Method Detail

### range

    List<V> range(K key,
                  long start,
                  long end)

### trim

    void trim(K key,
              long start,
              long end)

### size

    Long size(K key)

### leftPush

    Long leftPush(K key,
                  V value)

### leftPushAll

    Long leftPushAll(K key,
                     V... values)

### leftPushIfPresent

    Long leftPushIfPresent(K key,
                           V value)

### leftPush

    Long leftPush(K key,
                  V pivot,
                  V value)

### rightPush

    Long rightPush(K key,
                   V value)

### rightPushAll

    Long rightPushAll(K key,
                      V... values)

### rightPushIfPresent

    Long rightPushIfPresent(K key,
                            V value)

### rightPush

    Long rightPush(K key,
                   V pivot,
                   V value)

### set

    void set(K key,
             long index,
             V value)

### remove

    Long remove(K key,
                long i,
                Object value)

### index

    V index(K key,
            long index)

### leftPop

    V leftPop(K key)

### leftPop

    V leftPop(K key,
              long timeout,
              TimeUnit unit)

### rightPop

    V rightPop(K key)

### rightPop

    V rightPop(K key,
               long timeout,
               TimeUnit unit)

### rightPopAndLeftPush

    V rightPopAndLeftPush(K sourceKey,
                          K destinationKey)

### rightPopAndLeftPush

    V rightPopAndLeftPush(K sourceKey,
                          K destinationKey,
                          long timeout,
                          TimeUnit unit)

### getOperations

    RedisOperations<K,V> getOperations()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD